xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Spencer Janssen <spencerjanssen@gmail.com>
License | BSD3-style (see LICENSE)
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.TwoPane

Contents

- Usage

Description

A layout that splits the screen horizontally and shows two windows. The left window is always the master window, and the right is either the currently focused window or the second window in layout order.

Synopsis

- data TwoPane a = TwoPane Rational Rational

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.TwoPane

Then edit your `layoutHook` by adding the TwoPane layout:

    myLayout = TwoPane (3/100) (1/2)  ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data TwoPane a #

Constructors

TwoPane Rational Rational |

Instances

LayoutClass TwoPane a # |
Methods runLayout :: Workspace WorkspaceId (TwoPane a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (TwoPane a)) # doLayout :: TwoPane a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (TwoPane a)) # pureLayout :: TwoPane a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: TwoPane a -> Rectangle -> X ([(a, Rectangle)], Maybe (TwoPane a)) # handleMessage :: TwoPane a -> SomeMessage -> X (Maybe (TwoPane a)) # pureMessage :: TwoPane a -> SomeMessage -> Maybe (TwoPane a) # description :: TwoPane a -> String #
Read (TwoPane a) # |
Methods readsPrec :: Int -> ReadS (TwoPane a) # readList :: ReadS [TwoPane a] # readPrec :: ReadPrec (TwoPane a) # readListPrec :: ReadPrec [TwoPane a] #
Show (TwoPane a) # |
Methods showsPrec :: Int -> TwoPane a -> ShowS # show :: TwoPane a -> String # showList :: [TwoPane a] -> ShowS #